using Godot;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace Rokojori
{ 
  public abstract class Voice
  { 
    NoteEvent _noteEvent;

    public abstract void CancelNote();

    public void Play( NoteEvent ne )
    {
      CancelNote();
      _noteEvent = ne;
    }    
    
    public abstract void Process();
        
  }
}